Docs

Get Order

Fetch order details by order ID

Enpoint

POST /v1/get-order

Body Parameters

NameTypeRequiredDescription
idstringyesOrder ID

Response

NameTypeDescription
idstringOrder ID
statusstringOrder status
descriptionstringOrder description
pricenumberOrder price in MDL
currencystringCurrency code (default "MDL")

Order statuses: draft, paid, processing, failed, completed, refunded or expired

Merchant should accept payments only for orders with draft status.

Request Body Examples

JSON
{
  "id": "IAE431392BIR"
}

Response Body Examples

JSON
{
  "id": "IAM438592JWT",
  "status": "draft",
  "description": "Asigurare de calatorie, 15 zile, Europa",
  "price": 700.0,
  "currency": "MDL"
}
JSON
{
  "id": "IAM438592JWT",
  "status": "completed",
  "description": "Asigurare Medicala pentru calatorii",
  "price": 32.43,
  "currency": "MDL",
  "products": [
    {
      "product": "medical",
      "start_date": "2024-01-25",
      "end_date": "2024-02-09",
      "region": "Toată lumea (Excepție: SUA, Canada, Japonia, Australia)",
      "insurance_company": "donaris",
      "reference_price": "1.68 EUR",
      "reference_exchange_rate": "1 EUR = 19.3033 MDL",
      "insured_amount": "30000 EUR",
      "file": "https://firebasestorage.googleapis.com...."
    }
  ]
}
JSON
{
  "id": "IAE431392BIR",
  "status": "draft",
  "description": "Asigurare Carte Verde, 15 zile, Europa, BMW X7 ISG123",
  "start_date": "2025-02-13",
  "end_date": "2025-02-27",
  "price": 2106.47,
  "currency": "MDL"
}
JSON
{
  "id": "IAE431392BIR",
  "status": "paid",
  "description": "Asigurare Carte Verde, 15 zile, Europa, BMW X7 ISG123",
  "start_date": "2025-02-13",
  "end_date": "2025-02-27",
  "price": 2106.47,
  "currency": "MDL"
}
JSON
{
  "id": "IAI944894EHF",
  "status": "completed",
  "description": "Asigurare RCA, BMX X7 ISG123",
  "start_date": "2025-02-13",
  "end_date": "2026-02-12",
  "price": 1347.19,
  "currency": "MDL",
  "products": [
    {
      "product": "rca",
      "plate_number": "ISG123",
      "car_model": "BMX X7",
      "reference_price": "1347.19 MDL",
      "reference_exchange_rate": "1 MDL = 1 MDL",
      "price": 1347.19,
      "currency": "MDL",
      "file": "https://firebasestorage.googleapis.com...."
    }
  ]
}
JSON
{
  "id": "IAE431392BIR",
  "status": "completed",
  "description": "Asigurare Carte Verde, 15 zile, Europa, BMW X7 ISG123",
  "start_date": "2025-02-13",
  "end_date": "2025-02-27",
  "price": 1990.01,
  "currency": "MDL",
  "products": [
    {
      "product": "green-card",
      "plate_number": "ISG123",
      "car_model": "MERCEDES SPRINTER",
      "validity": 15,
      "reference_price": "102.6 EUR",
      "reference_exchange_rate": "1 EUR = 19.0999 MDL",
      "price": 1990.01,
      "currency": "MDL",
      "file": "https://firebasestorage.googleapis.com...."
    }
  ]
}
JSON
{
  "id": "ROV0000123ABC",
  "status": "completed",
  "description": "Rovinieta, 10 zile, Categoria A, BMX X7 ISG123",
  "start_date": "2024-01-14",
  "price": 69.98,
  "products": [
    {
      "product": "vignette:ro",
      "vignette_series": "1234567890",
      "plate_number": "ISG123",
      "vehicle_category": "A-Autoturisme",
      "vin_code": "TMBAB6NP00000000000",
      "country": "Moldova(MD)",
      "transaction_id": "CNADNR0000000000",
      "start_date": "2024-01-14 00:00:00",
      "end_date": "2024-01-23 23:59:59",
      "validity": "10 zile",
      "reference_price": "26.37 RON",
      "reference_exchange_rate": "1 RON = 4.1236 MDL",
      "supplier_exchange_rate": "1EUR = 4.9769RON (2024-01-31)",
      "price": 69.98,
      "currency": "MDL",
      "file": "https://firebasestorage.googleapis.com...."
    }
  ]
}
JSON
{
  "id": "IAB662451GGF",
  "status": "completed",
  "description": "Asigurare facultativă a bagajelor avia",
  "price": 141.63,
  "products": [
    {
      "product": "baggage",
      "reference_price": "4 EUR",
      "reference_exchange_rate": "1 EUR 19.27 MDL",
      "price": 77.08,
      "currency": "MDL",
      "flight_numbers": ["EK203", "BA289"],
      "baggage_pcs": 2,
      "idnp": "2002433727391",
      "contractor_full_name": "John Doe",
      "insurance_company": "asterra",
      "file": "https://firebasestorage.googleapis.com...."
    }
  ]
}
JSON
{
  "id": "EUV000123ABC",
  "status": "completed",
  "description": "Vinietă Europa, BG, 7 zile, BMW X7 ISG313",
  "start_date": "2026-06-10",
  "end_date": "2026-06-16",
  "price": 179.15,
  "currency": "MDL",
  "products": [
    {
      "product": "vignette:eu",
      "country": "bg",
      "validity": "bg-7d",
      "plate_number": "ISG313",
      "car_model": "BMW X7",
      "vin": "WVWZZZ1JZXW000001",
      "registration_country": "md",
      "document_number": "ORD-0000000000",
      "transaction_id": "ORD-0000000000",
      "start_date": "2026-06-10",
      "end_date": "2026-06-16",
      "reference_price": "8.82 EUR",
      "reference_exchange_rate": "1 EUR = 19.27 MDL",
      "price": 179.15,
      "currency": "MDL",
      "file": "https://firebasestorage.googleapis.com...."
    }
  ]
}

EU vignette completion is asynchronous. After payment the order is processing while we purchase the vignette from the provider and re-host the policy PDF; it flips to completed (with the file URL) once the PDF is ready — typically within a minute. Poll get-order or rely on the completion webhook.

JSON
{
  "id": "RSA271963ABC",
  "status": "completed",
  "description": "Asistență rutieră Europa, 12 luni, BMW X7 ISG313",
  "price": 921.62,
  "currency": "MDL",
  "products": [
    {
      "product": "roadside-assistance-eu",
      "plate_number": "ISG313",
      "car_model": "BMW X7",
      "period": "12_months",
      "coverage": "RO_EU",
      "vin_code": "WVWZZZ1JZXW000001",
      "start_date": "2024-06-27",
      "end_date": "2025-06-26",
      "reference_price": "228.69 RON",
      "reference_exchange_rate": "1 RON = 4.03 MDL",
      "price": 921.62,
      "currency": "MDL",
      "file": "https://firebasestorage.googleapis.com...."
    }
  ]
}

Roadside assistance completion is asynchronous. After payment the order is processing while the policy is issued and the PDF generated; it flips to completed (with the file URL) once ready. Poll get-order or rely on the completion webhook.

Status Codes

CodeDescription
200Order found
404Order not found
401Unauthorized
403Forbidden
500Internal server error

iAsig © 2026